Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Streams Advanced Queuing Java API Reference 10g Release 2 (10.2) B14291-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jms
Interface AQjmsTopicPublisher

All Superinterfaces:
  MessageProducer, TopicPublisher

All Known Implementing Classes:
  AQjmsProducer

public interface AQjmsTopicPublisher
extends TopicPublisher

Adds Oracle Streams Advanced Queuing specific extensions to `javax.jms.TopicPublisher`
Allows point to point publishing and use of transformations.

Method Summary
`java.lang.String` | `getTransformation()` Get the name of the transformation function of the `TopicPublisher`.
`void` | `publish(Message message, oracle.jms.AQjmsAgent[] recipient_list)` Publish a Message to a specific list of recipients.
`void` | `publish(Message message, oracle.jms.AQjmsAgent[] recipient_list, int deliveryMode, int priority, long timeToLive)` Publish a Message to a topic by specifying a list of recipients, delivery mode, priority and time to live.
`void` | `publish(Topic topic, Message message, oracle.jms.AQjmsAgent[] recipient_list)` Publish a Message to a topic by specifying a list of recipients.
`void` | `publish(Topic topic, Message message, oracle.jms.AQjmsAgent[] recipient_list, int deliveryMode, int priority, long timeToLive)` Publish a Message to a topic by specifying a list of recipients, delivery mode, priority and time to live.
`void` | `setTransformation(java.lang.String transformation)` Set transformation for this sender.

Methods inherited from interface javax.jms.TopicPublisher
`getTopic, publish, publish, publish, publish`

Methods inherited from interface javax.jms.MessageProducer
`close, getDeliveryMode, getDestination, getDisableMessageID, getDisableMessageTimestamp, getPriority, getTimeToLive, send, send, send, send, setDeliveryMode, setDisableMessageID, setDisableMessageTimestamp, setPriority, setTimeToLive`

Method Detail

### publish

    public void publish(Message message,
                        oracle.jms.AQjmsAgent[] recipient_list)
                 throws JMSException

  Publish a Message to a specific list of recipients.
  Parameters:
    `message` - The message to be published
    `recipient_list` - The list of recipients to which the message is published. The recipients are of type `AQjmsAgent`.
  Throws:
    `JMSException` - if JMS fails to publish the mesasge due to some internal error.

### publish

    public void publish(Topic topic,
                        Message message,
                        oracle.jms.AQjmsAgent[] recipient_list)
                 throws JMSException

  Publish a Message to a topic by specifying a list of recipients.
  Parameters:
    `topic` - The topic to which to publish the message. This overrides the default topic of the Message Producer.
    `message` - The message to be published.
    `recipient_list` - The list of recipients to which the message is published. The recipients are of type `AQjmsAgent`.
  Throws:
    `JMSException` - if JMS fails to publish the messgae due to some internal error.

### publish

    public void publish(Message message,
                        oracle.jms.AQjmsAgent[] recipient_list,
                        int deliveryMode,
                        int priority,
                        long timeToLive)
                 throws JMSException

  Publish a Message to a topic by specifying a list of recipients, delivery mode, priority and time to live.
  Parameters:
    `message` - The message to be published.
    `recipient_list` - The list of recipients to which the message is published. The recipients are of type `AQjmsAgent`.
    `deliveryMode` - The delivery mode - `jjavax.jms.DeliveryMode.PERSISTENT` or `javax.jms.DeliveryMode.NON_PERSISTENT`.
    `priority` - The priority of the message.
    `timeToLive` - the message time to live in milliseconds. Zero is unlimited.
  Throws:
    `JMSException` - if JMS fails to publish the messgae due to some internal error.

### publish

    public void publish(Topic topic,
                        Message message,
                        oracle.jms.AQjmsAgent[] recipient_list,
                        int deliveryMode,
                        int priority,
                        long timeToLive)
                 throws JMSException

  Publish a Message to a topic by specifying a list of recipients, delivery mode, priority and time to live.
  Parameters:
    `topic` - The topic to which to publish the message. This overrides the default topic of the Message Producer.
    `message` - The message to be published.
    `recipient_list` - The list of recipients to which the message is published. The recipients are of type `AQjmsAgent`.
    `deliveryMode` - The delivery mode - `javax.jms.DeliveryMode.PERSISTENT` or `javax.jms.DeliveryMode.NON_PERSISTENT`.
    `priority` - The priority of the message.
    `timeToLive` - the message time to live in milliseconds. Zero is unlimited.
  Throws:
    `JMSException` - if JMS fails to publish the messgae due to some internal error.

### setTransformation

    public void setTransformation(java.lang.String transformation)

  Set transformation for this sender. This transformation will be applied before the message is inserted in the topic.
  Parameters:
    `transformation` - transformation name.

### getTransformation

    public java.lang.String getTransformation()

  Get the name of the transformation function of the `TopicPublisher`.
  Returns:
    the name of the transformation function of the `TopicPublisher`.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Streams Advanced Queuing Java API Reference 10g Release 2 (10.2) B14291-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003, 2005, Oracle. All rights reserved.